当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 21 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-10-12 20:06 

注册: 2008-10-12 19:48
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
Ubuntu8.04桌面版

gcc已将安装,是最新的版本,系统也已经更新到最新了。

用apt-get update apt-get upgrade好几次了,都没问题了,但是就是安装build-essential的时候提示有依赖关系。

引用:
leeyc2@leeyc2-laptop:~$ sudo apt-get install build-essential
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
build-essential: 依赖: libc6-dev 但是它将不会被安装 或
libc-dev
依赖: g++ (>= 4:4.1.1) 但是它将不会被安装
E: 无法安装的软件包


google了好几次,也没找到解决办法。

难道,不能c编程了么?

我连hello world的程序都编译不过去!!

引用:
leeyc2@leeyc2-laptop:~$ gcc hello.c
hello.c:1:19: error: stdio.h: 没有该文件或目录
hello.c: In function ‘main’:
hello.c:4: warning: incompatible implicit declaration of built-in function ‘printf’


莫非桌面版不能做编程开发使用?必须得安装Server版的才可以编程么?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-10-12 20:09 
头像

注册: 2007-09-29 3:09
帖子: 5773
送出感谢: 0 次
接收感谢: 3
先装g++试试?源的问题,依赖有些混乱?你用哪的?


_________________
HUNT Unfortunately No Talent...


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-10-12 20:20 

注册: 2008-10-12 19:48
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
安装g++也不行

引用:
leeyc2@leeyc2-laptop:~$ sudo apt-get install g++
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
g++: 依赖: g++-4.2 (>= 4.2.3-1) 但是它将不会被安装
E: 无法安装的软件包


更新源用的都是官方的。。

security.ubuntu.com 的和

cn.archive.ubuntu.com

就是安完默认的那个。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-10-12 20:22 
头像

注册: 2007-09-29 3:09
帖子: 5773
送出感谢: 0 次
接收感谢: 3
那就先装g++-4.2,一层一层下去,直到不报错


_________________
HUNT Unfortunately No Talent...


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-10-12 20:44 

注册: 2008-10-12 19:48
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
我也试试了。也不行。。
看下面的吧。。到那个libc6那里,就是最新的了。。

引用:
root@leeyc-laptop:/home/leeyc# apt-get install g++
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
g++: 依赖: g++-4.2 (>= 4.2.3-1) 但是它将不会被安装
E: 无法安装的软件包
root@leeyc-laptop:/home/leeyc# apt-get install g++-4.2
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
g++-4.2: 依赖: gcc-4.2 (= 4.2.3-2ubuntu7) 但是 4.2.4-3ubuntu3 正要被安装
依赖: gcc-4.2-base (= 4.2.3-2ubuntu7) 但是 4.2.4-3ubuntu3 正要被安装
依赖: libstdc++6-4.2-dev (= 4.2.3-2ubuntu7) 但是它将不会被安装
E: 无法安装的软件包
root@leeyc-laptop:/home/leeyc# apt-get install gcc-4.2.4-3ubuntu3
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
E: 无法找到软件包 gcc-4.2.4-3ubuntu3
root@leeyc-laptop:/home/leeyc# apt-get install gcc-4.2
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
gcc-4.2 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
root@leeyc-laptop:/home/leeyc# apt-get install libstdc++6-4.2-dev
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
libstdc++6-4.2-dev: 依赖: g++-4.2 (= 4.2.3-2ubuntu7) 但是它将不会被安装
依赖: gcc-4.2-base (= 4.2.3-2ubuntu7) 但是 4.2.4-3ubuntu3 正要被安装
依赖: libc6-dev (>= 2.5) 但是它将不会被安装
E: 无法安装的软件包
root@leeyc-laptop:/home/leeyc# apt-get install libc6-dev
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
libc6-dev: 依赖: libc6 (= 2.7-10ubuntu4) 但是 2.8~20080505-0ubuntu7 正要被安装
E: 无法安装的软件包
root@leeyc-laptop:/home/leeyc# apt-get install libc6
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
libc6 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-10-12 20:45 
头像

注册: 2007-09-29 3:09
帖子: 5773
送出感谢: 0 次
接收感谢: 3
好混乱的依赖,建议换个源吧...


_________________
HUNT Unfortunately No Talent...


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-10-12 20:53 

注册: 2008-10-12 19:48
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
那你推荐一个吧。。

cn99的那个,我也用过了。

但是,官方的源都如此,其他的呢


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-10-12 20:58 

注册: 2008-10-12 19:48
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
哎,我放弃了,格式化重装一遍吧。
有搜索这个问题的时间,都重装一遍了。


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-10-13 18:33 

注册: 2006-03-10 15:10
帖子: 3182
地址: xi'an China
送出感谢: 0 次
接收感谢: 2
出现这种问题,一般来说,是你设置源时版本弄错了


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-10-13 21:53 
头像

注册: 2006-12-01 23:02
帖子: 622
送出感谢: 0 次
接收感谢: 0 次
又是循环依赖问题循环。可以下载deb包然后忽略依赖安装,然后在Update,Upgrade一下
sudo dpkg -i --ignore-depends=libstdc++6-4.1-dev g++-4.1_4.1.2-0ubuntu4_i386.deb
sudo dpkg -i --ignore-depends=g++-4.1 libstdc++6-4.1-dev_4.1.2-0ubuntu4_i386.deb


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-10-14 8:31 
头像

注册: 2008-07-14 8:14
帖子: 30
地址: 外太空
送出感谢: 0 次
接收感谢: 0 次
:em20


_________________
I love only three things:
the sun the moon and you
the sun for day
the moon for night
and you for ever


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-10-14 12:26 

注册: 2008-10-12 19:48
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
我重新安装了一遍,好了。。
好像是更新源设置错了,设置成8.10版的源了。。


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-12-20 9:30 
头像

注册: 2008-11-23 12:22
帖子: 92
送出感谢: 0 次
接收感谢: 0 次
我也遇到了相同的问题,换了好几个源都没用。请问楼上的怎么解觉得阿?QQ372332088


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-12-20 21:14 

注册: 2006-03-10 15:10
帖子: 3182
地址: xi'an China
送出感谢: 0 次
接收感谢: 2
xiyang81 写道:
我也遇到了相同的问题,换了好几个源都没用。请问楼上的怎么解觉得阿?QQ372332088


:em06 不妨认真看看前面的回帖,特别是9楼和12楼


页首
 用户资料  
 
15 楼 
 文章标题 : Re: 8.04版安装c/c++环境,build-essential安装不上,怎么回事阿?
帖子发表于 : 2008-12-20 21:15 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
源版本不对


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 21 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译